Subject: [SWIPL] That must be because of a Standard

From: João Mariz <[email-masked]>
Date: Wed, 09 May 2001 18:15:19 +0100

Hello Swi-Prolog users,

I am a newbie in SWI-PROLOG, However I have done some work, with another
Prolog interpreter, which I am now trying to translate.

In the above code, For instance, I previously assert

?- assert(my_predicate_with_zero('Yes sure', 0.0)).

and then I query the following:

?- my_predicate_with_zero(X,  0).

I would like to get X='Yes sure',
However the answer is No.

Can anyone give me some help, or explain me this?
thanks in advance for any help you can provide,

João